### Constructor

# FwupdPlugin TpmEventlogV1 new

since: 2.1.1

#### Declaration [src]

    FuTpmEventlog*
    fu_tpm_eventlog_v1_new (
      void
    )

#### Description [src]

Creates a new object to parse TPMv1 eventlog data.

Available since: 2.1.1

#### Return value

Type: `FuTpmEventlog`

A `FuTpmEventlog`.

The caller of the function takes ownership of the data, and is responsible for freeing it.